<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>
<div class="col-sm-12">
    <button class="mb-2 mr-2 btn btn-lg btn-block btn-outline-success" (click)="agregarMarca()">Agregar Nuevo Proveedor
    </button>
</div>
<div class="main-card mb-3 card" *ngIf="agregarEditarActive">
    <div class="card-body">
        <h5 class="card-title">Agregar/Editar Marca</h5>
        <form [formGroup]="proveedorForm" (submit)="agregarEditarProveedor()">
            <div class="form-row">
                <div class="col-md-12">
                    <div class="position-relative form-group"><label for="nombreComercial">Nombre Comercial</label>
                        <input name="nombreComercial" id="nombreComercial" formControlName="nombreComercial" placeholder="Nombre del proveedor" type="text" class="form-control">
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="col-sm-4">
                    <div class="position-relative form-group"><label for="nombreEncargado">Nombre Encargado</label>
                        <input name="nombreEncargado" id="nombreEncargado" formControlName="nombreEncargado" placeholder="Nombre del encargado" type="text" class="form-control">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="position-relative form-group"><label for="correoElectronico">Correo Electrónico</label>
                        <input name="correoElectronico" id="correoElectronico" formControlName="correoElectronico" placeholder="Correo de contacto" type="email" class="form-control">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="position-relative form-group"><label for="telefono">Teléfono</label>
                        <input name="telefono" id="telefono" formControlName="telefono" placeholder="Teléfono de contacto" type="text" class="form-control">
                    </div>
                </div>
            </div>
            <input name="proveedor_id" type="text" formControlName="proveedor_id" hidden readonly>
            <input class="mt-2 btn btn-primary" type="submit" [disabled]="this.proveedorForm.invalid" [value]="btnmsg" />
        </form>
    </div>
</div>
<div class="main-card mb-3 card">
    <div class="card-body">
        <h5 class="card-title">Proveedores</h5>
        <div class="table-responsive">
            <table class="align-middle mb-0 table table-borderless table-striped table-hover">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Nombre Comercial</th>
                        <th>Nombre Encargado</th>
                        <th>Correo Electrónico</th>
                        <th>Teléfono</th>
                        <th class="text-center">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let proveedor of this.proveedores">
                        <td class="text-center text-muted">{{proveedor.proveedor_id}}</td>
                        <td class="text-center text-muted">{{proveedor.nombreComercial}}</td>
                        <td class="text-center text-muted">{{proveedor.nombreEncargado}}</td>
                        <td class="text-center text-muted">{{proveedor.correoElectronico}}</td>
                        <td class="text-center text-muted">{{proveedor.telefono}}</td>
                        <td class="text-center">
                            <button type="button" class="btn btn-outline-light btn-sm" (click)="editarProveedor(proveedor)">Editar</button>
                            <button type="button" class="btn btn-outline-danger btn-sm" (click)="eliminarProveedor(proveedor.proveedor_id)">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
                <tfoot *ngIf="sinProveedores">
                    <tr>
                        <th colspan="8" class="text-center text-danger">No hay proveedores actualmente</th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>